CGAL 6.1.2 - 3D Mesh Generation: InitialPointsGenerator_3 Concept Reference

CGAL 6.1.2 - 3D Mesh Generation

Loading...
Searching...
No Matches
List of all members
InitialPointsGenerator_3 Concept Reference
Reference Manual » Secondary Concepts

## Definition

The function object concept `InitialPointsGenerator_3` is designed to construct a set of initial points on the surface of the domain.

Has models
  `CGAL::Construct_initial_points_labeled_image<C3t3, Mesh_domain>`
  `CGAL::Construct_initial_points_gray_image<C3t3, Mesh_domain>`

## Types (exposition only)
These types are used in the concept's description but are not part of the concept itself.
typedef unspecified_type | MeshDomain
| Mesh domain type to be meshed, model of `MeshDomain_3`
typedef unspecified_type | C3t3
| Type of the output mesh complex, model of `MeshComplex_3InTriangulation_3`

## Operations
Initial points generators are designed to output, via their operators `operator(OutputIterator)`, a set of surface points for mesh initialization to an output iterator.
template<typename OutputIterator >
OutputIterator | operator() (OutputIterator pts, const int n=0)
| outputs a set of surface points for mesh initialization.

## Member Function Documentation

## ◆ operator()()

template<typename OutputIterator >

OutputIterator InitialPointsGenerator_3::operator() | ( | OutputIterator | pts,
|  | const int | n = `0`
| ) |  |

outputs a set of surface points for mesh initialization.

If, after insertion of these points, the triangulation is still not 3D, or does not have any facets in the restricted Delaunay triangulation, then more points will be added automatically by the mesh generator.

Template Parameters

  OutputIterator | model of `OutputIterator` whose value type is a tuple-like object made of 3 elements: a `C3t3::Triangulation::Point` : the point `p`, an `int` : the minimal dimension of the subcomplexes on which `p` lies, a `MeshDomain_3::Index` : the index of the corresponding subcomplex.

Parameters

  pts | an output iterator for the points
  n | a lower bound on the number of points to construct for initialization. When `n` is set to its default value `0`, the functor must provide enough points to initialize the mesh generation process, i.e., to have a 3D triangulation with at least one facet in the restricted Delaunay triangulation. If these conditions are not satisfied, then more points will be added automatically by the mesh generator.